---
title: 'Feature-Policy: usb'
slug: Web/HTTP/Headers/Feature-Policy/usb
tags:
  - Directive
  - Feature-Policy
  - HTTP
  - Reference
  - Vibration API
  - Web USB
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<p>The HTTP {{HTTPHeader("Feature-Policy")}} header <font face="consolas, Liberation Mono, courier, monospace"><span style="background-color: rgba(220, 220, 220, 0.5);">usb</span></font> directive controls whether the current document is allowed to use the WebUSB API.</p>

<h2 id="Syntax">Syntax</h2>

<pre>Feature-Policy: usb &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page('Web/HTTP/Feature_Policy/Using_Feature_Policy', 'allowlist')}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default value is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#feature-policy','Feature-Policy integration')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Default allow list is <code>'self'</code>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat('http.headers.Feature-Policy.usb')}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader('Feature-Policy')}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
</ul>
